Bug 1119793

Summary: [RFE] - Support sorting on multiple columns
Product: [oVirt] ovirt-engine Reporter: Pavel Stehlik <pstehlik>
Component: RFEsAssignee: Nobody <nobody>
Status: NEW --- QA Contact: Lukas Svaty <lsvaty>
Severity: high Docs Contact:
Priority: unspecified    
Version: ---CC: bugs, lpeer, srevivo, ykaul
Target Milestone: ---Keywords: FutureFeature
Target Release: ---Flags: ylavi: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1128842 (view as bug list) Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: UX RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1128842    
Bug Blocks:    

Description Pavel Stehlik 2014-07-15 14:07:34 UTC
Description of problem:
 Once we'll have sorting on columns, would be also nice to implement sorting over more of them at once. I can imagine to hold Ctrl + click on another column as adding it to filter. 
Also please consider de-select (repetitive Ctrl+click?) - will remove that column sort. Also would be nice support more than just 2 collumns, what about 3 or 4 columns? (or even all of them!)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Einav Cohen 2014-08-11 15:45:32 UTC
at least for grids that rely on server-side sorting (i.e. most of the main grids), we need support for sorting on multiple fields in the search mechanism -> opened (infra) blocking bug 1128842.

Comment 2 Yaniv Lavi 2015-04-07 08:26:42 UTC
There is no way to do this client side once the initial result set is displayed?

Comment 3 Einav Cohen 2015-04-07 15:59:13 UTC
(In reply to Yaniv Dary from comment #2)
> There is no way to do this client side once the initial result set is
> displayed?

sorting on main grids is done on the server side. it must be done on the server side because of the paging. 

a sorting performed client side can be performed only on the results of the current page (100 by default) which doesn't take into consideration the full set of objects in the system, hence produces misleading results. 

if you want to do the primary sorting on the server-side and the secondary sorting on the client-side - I assume that we can do that, but it may be extremely confusing to the user to have the primary sorting done on all items in the system and the secondary sorting done per page - so I recommend to not go in this path.